Results 1 to 9 of 9

Thread: Fillet multiple select

  1. #1
    Member
    Join Date
    2008-04
    Posts
    9
    Login to Give a bone
    0

    Default Fillet multiple select

    Is there a clever way to select multiple polylines for fillet. Other than of course asking the user to select them (ie mouse click). Can I provide fillet a group or selection set?

    Thanks,
    Dave Gleason

  2. #2
    Certifiable AUGI Addict dzatto's Avatar
    Join Date
    2006-12
    Location
    Big "D"
    Posts
    3,711
    Login to Give a bone
    0

    Default Re: Fillet multiple select

    The only thing I know of is the multiple command. The only thing it does is let you do multiple fillets without exiting and restarting the command. You still need to pick each line, otherwise how will CAD know what lines to fillet with each other?

  3. #3
    Member
    Join Date
    2008-04
    Posts
    9
    Login to Give a bone
    0

    Default Re: Fillet multiple select

    I am just looking to fillet (given a defined radius) many multiple segment polylines. Not so much with each other but rather to smooth out the inflection points of each multisegment polyline.

  4. #4
    AUGI Addict Maverick91's Avatar
    Join Date
    2000-12
    Location
    Grand Prairie, Texas, USA
    Posts
    1,324
    Login to Give a bone
    0

    Default Re: Fillet multiple select

    Quote Originally Posted by dgleason View Post
    I am just looking to fillet (given a defined radius) many multiple segment polylines. Not so much with each other but rather to smooth out the inflection points of each multisegment polyline.
    Have you tried the spline or fit curve options in the PEDIT command?

  5. #5
    All AUGI, all the time
    Join Date
    2000-12
    Location
    Blue Springs, MO
    Posts
    658
    Login to Give a bone
    0

    Default Re: Fillet multiple select

    Try this:

    Command: fillet
    Select first object or [Undo/Polyline/Radius/Trim/Multiple]: R
    Specify fillet radius <0'-0">: .25
    Select first object or [Undo/Polyline/Radius/Trim/Multiple]: P
    Select 2D polyline:

  6. #6
    Member
    Join Date
    2008-04
    Posts
    9
    Login to Give a bone
    0

    Default Re: Fillet multiple select

    I don't think I'm explaining myself well. At the "Select 2D polyline" prompt I'd like to provide a group or selection set of polylines, not just one. (That is not just one multisegment 2d polyline).

  7. #7
    Member
    Join Date
    2008-04
    Posts
    9
    Login to Give a bone
    0

    Default Re: Fillet multiple select

    No I haven't looked at that, but that is where I'll look next. Thanks,
    dg

  8. #8
    Certifiable AUGI Addict
    Join Date
    2015-11
    Location
    Jo'burg SA
    Posts
    4,512
    Login to Give a bone
    0

    Default Re: Fillet multiple select

    Quote Originally Posted by dgleason View Post
    I don't think I'm explaining myself well. At the "Select 2D polyline" prompt I'd like to provide a group or selection set of polylines, not just one. (That is not just one multisegment 2d polyline).
    You could use LISP to run this command for you after asking the user to select the polylines:
    Code:
    (defun c:MPL_Fillet (/ ss en rad n)
      (setq rad (getvar "FILLETRAD"))
      (initget (+ 1 4 8 64 128))
      (if (/= ""
         (setq rad
            (getdist (strcat "Enter fillet radius <" (rtos rad) ">: "))
         ) ;_ end of setq
          ) ;_ end of =
        (setvar "FILLETRAD" rad)
      ) ;_ end of if
    
      (prompt "\nSelect the polylines you'd whish to fillet: ")
      (setq    ss (ssget '((0 . "LWPOLYLINE,POLYLINE")))
        n  0
      ) ;_ end of setq
      (while (< n (sslength ss))
        (setq en (ssname ss n))
        (command "_FILLET" "P" en)
        (setq n (1+ n))
      ) ;_ end of while
    
      (princ)
    ) ;_ end of defun

  9. #9
    Member
    Join Date
    2012-02
    Posts
    14
    Login to Give a bone
    0

    Question Re: Fillet multiple select

    Quote Originally Posted by irneb View Post
    You could use LISP to run this command for you after asking the user to select the polylines:
    Code:
    (defun c:MPL_Fillet (/ ss en rad n)
      (setq rad (getvar "FILLETRAD"))
      (initget (+ 1 4 8 64 128))
      (if (/= ""
         (setq rad
            (getdist (strcat "Enter fillet radius <" (rtos rad) ">: "))
         ) ;_ end of setq
          ) ;_ end of =
        (setvar "FILLETRAD" rad)
      ) ;_ end of if
    
      (prompt "\nSelect the polylines you'd whish to fillet: ")
      (setq    ss (ssget '((0 . "LWPOLYLINE,POLYLINE")))
        n  0
      ) ;_ end of setq
      (while (< n (sslength ss))
        (setq en (ssname ss n))
        (command "_FILLET" "P" en)
        (setq n (1+ n))
      ) ;_ end of while
    
      (princ)
    ) ;_ end of defun

    Hi irneb,

    I tried to use the great lisp that you have provided but sounds not to work. I couldn’t fillet multiple selected lines

    I got the error: “error: bad argument type: lselsetp nil” (attached)

    Clip_930.jpgClip_931.jpg

    What might be the issue?


    Best

    Jamal

Similar Threads

  1. Looking for a routine for Multiple Fillet
    By martyk in forum AutoLISP
    Replies: 23
    Last Post: 2013-09-17, 12:25 PM
  2. Fillet multiple pline objects?
    By CAD Brad in forum AutoLISP
    Replies: 4
    Last Post: 2013-04-18, 12:23 PM
  3. Multiple Select
    By Wish List System in forum Revit MEP - Wish List
    Replies: 0
    Last Post: 2012-10-08, 07:45 PM
  4. Multiple Line Command with Fillet Option
    By jo in forum AutoCAD General
    Replies: 3
    Last Post: 2009-10-13, 05:37 PM
  5. Multiple 2d polys for fillet
    By dgleason in forum VBA/COM Interop
    Replies: 0
    Last Post: 2008-04-21, 09:52 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •